Module | Spec::Story::Runner
In: | lib/spec/story/runner/plain_text_story_runner.rb lib/spec/story/runner/scenario_collector.rb lib/spec/story/runner/scenario_runner.rb lib/spec/story/runner/story_mediator.rb lib/spec/story/runner/story_parser.rb lib/spec/story/runner/story_runner.rb lib/spec/story/runner.rb

### Methods

create_story_runner dry_run register_listener

### Classes and Modules

Class Spec::Story::Runner::IllegalStepError
Class Spec::Story::Runner::PlainTextStoryRunner
Class Spec::Story::Runner::ScenarioCollector
Class Spec::Story::Runner::ScenarioRunner
Class Spec::Story::Runner::StoryMediator
Class Spec::Story::Runner::StoryParser
Class Spec::Story::Runner::StoryRunner

### Public Class methods

create_story_runner()
dry_run()
register_listener(listener)

Use this to register a customer output formatter.

[Validate]